
From: Wolfgang Wander <wwc@rentec.com>

Credit-to: "Richard Purdie" <rpurdie@rpsys.net>

  For reporting the problem and testing the fix.

Signed-off-by: Wolfgang Wander <wwc@rentec.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/arm/mm/mmap.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/arm/mm/mmap.c~avoiding-mmap-fragmentation-fix arch/arm/mm/mmap.c
--- 25/arch/arm/mm/mmap.c~avoiding-mmap-fragmentation-fix	2005-05-17 01:44:52.000000000 -0700
+++ 25-akpm/arch/arm/mm/mmap.c	2005-05-17 01:45:19.000000000 -0700
@@ -76,7 +76,7 @@ arch_get_unmapped_area(struct file *filp
 	if (len > mm->cached_hole_size) {
 	        start_addr = addr = mm->free_area_cache;
 	} else {
-	        start_addr = TASK_UNMAPPED_BASE;
+	        start_addr = addr = TASK_UNMAPPED_BASE;
 	        mm->cached_hole_size = 0;
 	}
 
_
